Clear a project's spending cap
curl --request DELETE \
--url https://neo.api.projectdiscovery.io/api/v1/projects/{id}/cap \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/projects/{id}/cap"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/projects/{id}/cap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_count": 1,
"name": "<string>",
"owner_email": "jsmith@example.com",
"settings_md": "<string>",
"shared_with_team": true,
"tags": [
"<string>"
],
"task_count": 1,
"updated_at": "2023-11-07T05:31:56Z",
"cap_percent_used": 123,
"cap_used_usd": 123,
"is_owner": true,
"issue_count": 1,
"issues_by_severity": [
{
"count": 123,
"label": "<string>"
}
],
"issues_by_status": [
{
"count": 123,
"label": "<string>"
}
],
"shared_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spending_cap_usd": 123
}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Projects
Clear a project's spending cap
Removes the project’s spending cap so the project is bounded only by the relevant credit pool. Only the project owner can call this. Idempotent: clearing an already-uncapped project is a no-op.
DELETE
/
api
/
v1
/
projects
/
{id}
/
cap
Clear a project's spending cap
⌘I

